# List Outbound Setup Intents

List the OutboundSetupIntent objects.

## Request

```curl
curl https://api.stripe.com/v2/money_management/outbound_setup_intents \
  -H "Authorization: Bearer <<YOUR_SECRET_KEY>>" \
  -H "Stripe-Version: 2026-10-28.endive"
```

### Response

```json
{
  "data": [
    {
      "id": "osi_test_61SGHHedpjwY7HErA16QsOpAPpE97EJALhqt1U5mC3iS",
      "object": "v2.money_management.outbound_setup_intent",
      "created": "2025-03-26T12:44:58.000Z",
      "next_action": null,
      "payout_method": {
        "id": "usba_test_61SGHHenDe269uJ7W16QsOpAPpE97EJALhqt1U5mCBqC",
        "object": "v2.money_management.payout_method",
        "available_payout_speeds": [
          "standard"
        ],
        "bank_account": {
          "archived": false,
          "bank_name": "Test Bank",
          "country": "US",
          "enabled_delivery_options": [
            "local"
          ],
          "last4": "6789",
          "routing_number": "110000000",
          "supported_currencies": [
            "usd"
          ],
          "bank_account_type": "checking"
        },
        "created": "2025-03-26T12:44:58.072Z",
        "latest_outbound_setup_intent": "osi_test_61SGHHedpjwY7HErA16QsOpAPpE97EJALhqt1U5mC3iS",
        "type": "bank_account",
        "usage_status": {
          "payments": "eligible",
          "transfers": "eligible"
        },
        "livemode": false
      },
      "status": "succeeded",
      "usage_intent": "payment",
      "livemode": false
    },
    {
      "id": "osi_test_61S8MLMXLJbg85kWm16QsOpAPpE97EJALhqt1U5mCXrk",
      "object": "v2.money_management.outbound_setup_intent",
      "created": "2025-03-04T16:32:04.000Z",
      "next_action": null,
      "payout_method": {
        "id": "usba_test_61S8MLMQAjFLoPjqt16QsOpAPpE97EJALhqt1U5mCNB2",
        "object": "v2.money_management.payout_method",
        "available_payout_speeds": [
          "standard"
        ],
        "bank_account": {
          "archived": true,
          "bank_name": "Test Bank",
          "country": "US",
          "enabled_delivery_options": [
            "local"
          ],
          "last4": "6789",
          "routing_number": "110000000",
          "supported_currencies": [
            "usd"
          ],
          "bank_account_type": "checking"
        },
        "created": "2025-03-04T16:32:04.907Z",
        "latest_outbound_setup_intent": "osi_test_61S8MLMXLJbg85kWm16QsOpAPpE97EJALhqt1U5mCXrk",
        "type": "bank_account",
        "usage_status": {
          "payments": "eligible",
          "transfers": "eligible"
        },
        "livemode": false
      },
      "status": "requires_action",
      "usage_intent": "payment",
      "livemode": false
    }
  ],
  "next_page_url": null,
  "previous_page_url": null
}
```

## Parameters

- `limit` (integer, optional)
  The page size.

- `page` (string, optional)
  The requested page.

## Returns

## Response attributes

- [`data`](https://docs.stripe.com/api/v2/money-management/outbound-setup-intents/list.md?query=data) (array of objects)
  The list of OutboundSetupIntent objects.

- `next_page_url` (string, nullable)
  URL to fetch the next page of the list. If there are no more pages, the value is null.

- `previous_page_url` (string, nullable)
  URL to fetch the previous page of the list. If there are no previous pages, the value is null.
